﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using CMS.MacroEngine;
using CMS.Helpers;
using CMS;
using NLipsum.Core;


namespace Custom
{
    public class CustomMacroMethods : MacroMethodContainer
    {

        [MacroMethod(typeof(string), "Generates lorem ipsum text.", 1)]
        [MacroMethodParam(0, "param1", typeof(int), "Number of paragraphs to generate.")]
        public static object GenerateLoremIpsum(EvaluationContext context, params object[] parameters)
        {
            {
                // Branches according to the number of the method's parameters
                switch (parameters.Length)
                {
                    case 1:
                        // Overload with one parameter
                        LipsumGenerator generator = new LipsumGenerator();
                        return generator.GenerateLipsumHtml(ValidationHelper.GetInteger(parameters[0], 1));
                    default:
                        // No other overloads are supported
                        throw new NotSupportedException();
                }
            }
        }
    }
}
